utl::meta::detail Namespace Reference
operators | selection

## Classes

struct | _and_
struct | _and_< _T1 >
struct | _and_< _T1, _T2 >
struct | _and_< _T1, _T2, _T3, _Tn... >
struct | _and_<>
struct | _or_
struct | _or_< _T1 >
struct | _or_< _T1, _T2 >
struct | _or_< _T1, _T2, _T3, _Tn... >
struct | _or_<>
struct | compose_
struct | compose_< Fn0 >
struct | compose_< Fn0, Fns... >
struct | compose_f_
struct | compose_f_< Fn0 >
struct | compose_f_< Fn0, Fns... >
struct | defer_
struct | defer_i_
struct | detector
struct | detector< Default, void_t< Op< Args... > >, Op, Args... >
struct | if_c_
struct | if_c_< false, Then, Else >
struct | if_c_< true, Then >
struct | if_c_< true, Then, Else >
struct | is_applicable_
struct | is_applicable_i_
struct | is_applicable_q_
struct | when_
struct | when_< true >

## Typedefs

template<typename Default , template< typename... > class Op, typename... Args>
using | detected_or = detector< Default, void, Op, Args... >
| helper for detected_or_t More...

## Detailed Description

Detector for detection idiom

Is applicable trait

defer

compose

OR implementation

AND implementation

Type selectionif_, if_c

Tool to enable a partial specialization only if a boolean condition is true.

## Typedef Documentation

## detected_or

template<typename Default , template< typename... > class Op, typename... Args>

using utl::meta::detail::detected_or = typedef detector<Default, void, Op, Args...>

helper for detected_or_t

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/detection.h.

Definition at line 91 of file detection.h.